# collada.scene.GeometryNode

class collada.scene.GeometryNode(geometry, materials=None, xmlnode=None)

  Represents a geometry instance in a scene, as defined in the collada <instance_geometry> tag.

  __init__(geometry, materials=None, xmlnode=None)

    Creates a geometry node

    Parameters:

      - geometry (collada.geometry.Geometry) – A geometry to instantiate in the scene

      - materials (list) – A list containing items of type `collada.scene.MaterialNode`. Each of these represents a material that the geometry should be bound to.

      - xmlnode – When loaded, the xmlnode it comes from

  Methods

  `__init__`(geometry[, materials, xmlnode]) | Creates a geometry node
  `load`(collada, node) | Load and return a class instance from an XML node.
  `objects`(tipo[, matrix]) | Yields a `collada.geometry.BoundGeometry` if `tipo=='geometry'`
  `save`() | Saves the geometry node back to `xmlnode`

  Attributes

  `xmlnode` | ElementTree representation of the geometry node.
  `geometry` | An object of type `collada.geometry.Geometry` representing the geometry to bind in the scene
  `materials` | A list containing items of type `collada.scene.MaterialNode`.